#
# spec file for package perl-Class-MethodMaker (Version 2.11)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Class-MethodMaker
BuildRequires:  perl-Module-Build
License:        Artistic License
Group:          Development/Libraries/Perl
Requires:       perl = %{perl_version}
AutoReqProv:    on
Summary:        Class::MethodMaker
Version:        2.11
Release:        13.4
Source:         Class-MethodMaker-%{version}.tar.gz
Patch:          Class-MethodMaker-Makefile.PL.diff
Patch1:         suppress_warning.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module solves the problem of having to write a bazillion get/set
methods that are all the same.



Authors:
--------
    fluffy@engineer.com

%prep
%setup -n Class-MethodMaker-%{version}
%patch
%patch1

%build
./configure
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT \
    INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
    INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
    install_vendor
%perl_process_packlist

%files
%defattr(-, root, root)
%doc Changes MANIFEST README TODO end.pod examples benchmark
%doc %{_mandir}/man3/Class::MethodMaker.3pm.gz
%doc %{_mandir}/man3/Class::MethodMaker::Constants.3pm.gz
%doc %{_mandir}/man3/Class::MethodMaker::Engine.3pm.gz
%doc %{_mandir}/man3/Class::MethodMaker::OptExt.3pm.gz
%doc %{_mandir}/man3/Class::MethodMaker::V1Compat.3pm.gz
%doc %{_mandir}/man3/Class::MethodMaker::array.3pm.gz
%doc %{_mandir}/man3/Class::MethodMaker::hash.3pm.gz
%doc %{_mandir}/man3/Class::MethodMaker::scalar.3pm.gz
%dir %{perl_vendorarch}/Class
%dir %{perl_vendorarch}/Class/MethodMaker
%dir %{perl_vendorarch}/auto/Class
%{perl_vendorarch}/Class/MethodMaker.pm
%{perl_vendorarch}/Class/MethodMaker
%{perl_vendorarch}/auto/Class/MethodMaker/
/var/adm/perl-modules/%{name}

%changelog
* Wed Jun 11 2008 ug@suse.de
- fixed a warning
* Fri Apr  4 2008 ug@suse.de
- update to version 2.11
- Drop Module::Build support
  (which was broken anyway for a long time, #19167, #16241, #17059, #15987, #13755)
- Correct "use version" statements (#19585)
* Mon Jul 16 2007 ug@suse.de
- update to version 2.10
- Fixed SIGNATURE
- Fixed compile problems with 5.9.4 upwards (rt.cpan.org #22413)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 ug@suse.de
- update to version 2.08
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Mon Aug  1 2005 cthiel@suse.de
- added Class-MethodMaker-Makefile.PL.diff
* Fri Jul 29 2005 cthiel@suse.de
- update to version 2.07
* Mon Jan 31 2005 ug@suse.de
- version update from 2.04 to 2.05
* Fri Jan 21 2005 ug@suse.de
- version update from 2.02 to 2.04
- heavy changes in build process
- Add XS code to set created sub names in profiler, etc.
- Documentation tweaks
- Add an argument of the subject object to default ctor calls
* Fri Aug 20 2004 ug@suse.de
- version update from 2.00 to 2.02
- Make VERSION evaluate on single line to work with
  ExtUtils::MakeMaker.
- Fix hash in v1 mode to return reference to the actual storage
- Fix obscure handling of -hash_init with v1 hash
- Fix redefine warnings (with V1Compat) under perl-5.8.3
* Fri Feb 27 2004 ug@suse.de
- version update from 1.10 to 2.00
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 29 2003 ug@suse.de
- version update from 1.08 to 1.10
* Mon Jul 28 2003 ug@suse.de
- "make test" added
- add vendorarch changes
* Mon Jun 23 2003 ro@suse.de
- added directories to filelist
* Mon May 19 2003 ug@suse.de
- packlist and perllocal.pod fix
* Fri Jan 17 2003 ug@suse.de
- version update to 1.08
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Wed Jun 26 2002 ug@suse.de
- version update to 1.06
* Mon Mar 26 2001 ug@suse.de
- initial release
